import { LitElement, customElement, TemplateResult, html } from 'lit-element';

import * as domtools from '@designestate/dees-domtools';

@customElement('test-demoelement')
export class TestDemoelement extends LitElement {
  public static demo = () => html`<test-demoelement></test-demoelement>`;

  public render() {
    return html`
      <style>
        .maincontainer {
          display: block;
          background: #fff;
          padding: 10px;
          border-radius: 10px;
        }
        ${domtools.breakpoints.cssForPhablet(`
          .maincontainer {
            background: #000;
          }
        `)}
      </style>
      <div class="maincontainer">This is a demo element</div>
    `;
  }
}
